[arch-commits] Commit in wxgtk/trunk (ChangeLog PKGBUILD)

Eric Belanger eric at archlinux.org
Sun Jul 6 18:22:08 EDT 2008


    Date: Sunday, July 6, 2008 @ 18:22:07
  Author: eric
Revision: 4428

upgpkg: wxgtk 2.8.8-1
    Upstream update, Enabled gnomeprint - needed for wxpython to build, Added ChangeLog

Added:
  wxgtk/trunk/ChangeLog
Modified:
  wxgtk/trunk/PKGBUILD

-----------+
 ChangeLog |    6 ++++++
 PKGBUILD  |   18 ++++++++++--------
 2 files changed, 16 insertions(+), 8 deletions(-)

Added: ChangeLog
===================================================================
--- ChangeLog	                        (rev 0)
+++ ChangeLog	2008-07-06 22:22:07 UTC (rev 4428)
@@ -0,0 +1,6 @@
+2008-07-05  Eric Belanger  <eric at archlinux.org>
+
+	* wxgtk 2.8.8-1
+	* Upstream update
+	* Enabled gnomeprint - needed for wxpython to build
+	* Added ChangeLog

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2008-07-06 22:17:10 UTC (rev 4427)
+++ PKGBUILD	2008-07-06 22:22:07 UTC (rev 4428)
@@ -5,25 +5,27 @@
 # with help from J. Santiago Hirschfeld <jsantiagoh at yahoo.com.ar> aka Angelus
 
 pkgname=wxgtk
-pkgver=2.8.7
+pkgver=2.8.8
 pkgrel=1
 pkgdesc="wxGTK - GTK+ implementation of wxWidgets API for GUI"
 arch=('i686' 'x86_64')
 url="http://wxwidgets.org"
 license=('custom:wxWindows')
 depends=('gtk2>=2.10.9' 'mesa')
+makedepends=('libgnomeprintui')
 source=(http://downloads.sourceforge.net/wxwindows/wxGTK-${pkgver}.tar.bz2)
-md5sums=('b25e85eeee524903214ebb520753f4bd')
+md5sums=('6c73103878bd2a44b42a7b5fbb4c5605')
+sha1sums=('ba33ca7efad2847c538d3df524d31b8b4011ad8a')
 
 build() {
-  cd ${startdir}/src/wxGTK-${pkgver}
+  cd ${srcdir}/wxGTK-${pkgver}
   ./configure --prefix=/usr --libdir=/usr/lib --with-gtk=2 --with-opengl --enable-unicode \
-	  --enable-graphics_ctx --without-gnomeprint --disable-optimize || return 1
+	  --enable-graphics_ctx --with-gnomeprint --disable-optimize || return 1
   make || return 1
-  make -C locale allmo
-  make DESTDIR=${startdir}/pkg install || return 1
+  make -C locale allmo || return 1
+  make DESTDIR=${pkgdir} install || return 1
   cd contrib/src
   make || return 1
-  make DESTDIR=${startdir}/pkg install || return 1
-  install -D -m644 ../../docs/licence.txt $startdir/pkg/usr/share/licenses/$pkgname/LICENSE
+  make DESTDIR=${pkgdir} install || return 1
+  install -D -m644 ../../docs/licence.txt ${pkgdir}/usr/share/licenses/${pkgname}/LICENSE || return 1
 }





More information about the arch-commits mailing list